--Return the x coordinate of a point dist pixels away in direction ang.
function lengthdir_x(dist,ang)
	return dist * math.cos(ang*math.pi/180);
end

--Return the y coordinate of a point dist pixels away in direction ang.
function lengthdir_y(dist,ang)
	return dist * math.sin(ang*math.pi/180);
end

--The direction, in degrees, between two vector coordinates.
function vector_point_direction(a,b)
	return math.atan2((a.Y-b.Y),(a.X-b.X));
end

--Turn off the vehicle and boot out the driver.
function DeactivateVehicle(vehicle,toswitch)
	--If the vehicle is still active (prevents crashes from calling this function twice)
	if vehicle.active == true then
		--If the driver is still alive...
		if toswitch == true then
			if MovableMan:IsActor(vehicle.controlactor) then
				--Switch to him.
				ActivityMan:GetActivity():SwitchToActor(vehicle.controlactor,vehicle:GetController().Player,vehicle.controlactor.Team);
			else
				--If not, switch to his team's brain.
				ActivityMan:GetActivity():SwitchToActor(ActivityMan:GetActivity():GetPlayerBrain(vehicle:GetController().Player),vehicle:GetController().Player,vehicle.Team)
			end
		end
		--Reset the driver to nothing.
		vehicle.controlactor = nil;
		--Set the pointers to the controlled actor's legs to nil so the board doesn't assume the next actor has them.
		for i = 0,#vehicle.leg do
			vehicle.leg[i] = nil;
		end
		--Tell the board it's deactivated.
		vehicle.active = false;
		--Reset the timer that prevents getting back in immediately.
		vehicle.inouttimer:Reset();
		--Make the board not get hit so that you can step on or around it without your legs exploding.
		vehicle.GetsHitByMOs = false;
		--Reset the vehicle's last velocity to none.
		vehicle.lastVel = Vector(0,0);
		--Reset the actor's height above the board.
		vehicle.abovedist = 0;
		--Tell the vehicle it is teamless.
		vehicle.Team = -1;
		--Make sure the alternate mode is off.
		vehicle.altmode = false;
		--Create the marker for the vehicle.
		vehicle.marker = CreateHeldDevice(string.gsub(vehicle.PresetName," Spawned","") .. " Marker");
		MovableMan:AddItem(vehicle.marker);
	end
end